Yum Transaction Check Error on x64 CentOS

If you encounter a “Transaction Check Error” on yum on a x64 system during an install, an update or an upgrade, you will find out that most of the time, you can’t remove the problematic packages. But it’s very likely that the problem comes from a i386 version of a package. The easiest way to proceed is just to remove the i386 version of each software or library as it appears on the Transaction Check Error.

I had a problem with postgresql-libs (i386) which was required by subversion (i386). I removed the postgresql-libs (and I had to remove subversion), but both of them were also in a x86_64 version, so it didn’t change anything. They were just garbage packages.

Leave a Reply

Your email address will not be published. Required fields are marked *